package packageForL9L10;

import java.awt.Color;
import java.awt.Dimension;
import javax.swing.JFrame;

public class DrawVersion7 {

	/**
	 * A very simple application that demonstrates the MVC architecture. This
	 * app affords very simple interaction: a mouse click anywhere in the window
	 * causes the first dot to nudge to the right.
	 * 
	 * @param args
	 */
	public static void main(String[] args) {
		// Create the model.
		SimpleThreeDotModel_v2 model = new SimpleThreeDotModel_v2();
		// Create the view.
		DotPanel panel = new DotPanel(model);
		// Create the controller.
		new DotController(panel, model);

		int width = 400;
		int height = 400;
		JFrame frame = new JFrame("My Frame");
		frame.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		frame.setSize(width, height);
		frame.setMinimumSize(new Dimension(width, height));
		frame.add(panel);
		frame.setBackground(Color.WHITE);
		frame.pack();
		frame.setVisible(true);

	}
}
